Skip to main content
Resource Center/Network Resource/L3 Network Operations

UpdateL3Network

UpdateL3Network

PUT/zstack/v1/l3-networks/{uuid}/actions

Operation ID

UpdateL3Network

Since

0.6

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • uuid
    StringRequired

    The resource UUID.

Body Fields

  • name
    String

    Optional. The L3 network name.

  • description
    String

    Optional. The detailed description of the L3 network.

  • system
    Boolean

    Optional. Whether the L3 network can be applied to appliance VM instances.

  • dnsDomain
    String

    Optional. The DNS domain.

  • category
    String

    Optional. The network type, which must be used with the system tags. If system is set to true, this parameter can be set to Public or Private.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    L3NetworkInventoryRequired

    See inventory.

    • uuid
      StringRequired

      The resource UUID.

    • name
      StringRequired

      The resource name.

    • description
      StringRequired

      The detailed description of the resource.

    • type
      StringRequired

      The resource type.

    • zoneUuid
      StringRequired

      The zone UUID.

    • l2NetworkUuid
      StringRequired

      The L2 network UUID

    • state
      StringRequired

      The resource state.

    • dnsDomain
      StringRequired

      The DNS domain.

    • system
      BooleanRequired

      The system.

    • category
      StringRequired

      The category.

    • ipVersion
      IntegerRequired

      The IP version.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • dns
      ListRequired

      The DNS server address.

    • ipRanges
      ListRequired

      See ipRanges.

      • uuid
        StringRequired

        The resource UUID.

      • l3NetworkUuid
        StringRequired

        The L3 network UUID.

      • name
        StringRequired

        The resource name.

      • description
        StringRequired

        The detailed description of the resource.

      • startIp
        StringRequired

        The start IP.

      • endIp
        StringRequired

        The end IP.

      • netmask
        StringRequired

        The netmask.

      • prefixLen
        StringRequired

        The prefix length.

      • gateway
        StringRequired

        The gateway IP address.

      • networkCidr
        StringRequired

        The network cidr.

      • ipVersion
        IntegerRequired

        The IP version.

      • addressMode
        StringRequired

        The allocation mode of the IPv6 address.

      • createDate
        TimestampRequired

        The creation date.

      • lastOpDate
        TimestampRequired

        The last operation date.

    • networkServices
      ListRequired

      See networkServices.

      • l3NetworkUuid
        StringRequired

        The L3 network UUID.

      • networkServiceProviderUuid
        StringRequired

        The network service provider UUID.

      • networkServiceType
        StringRequired

        The network service type.

    • hostRoute
      ListRequired

      See hostRoute.

      • id
        LongRequired

        The resource ID.

      • l3NetworkUuid
        StringRequired

        The L3 network UUID.

      • prefix
        StringRequired

        The prefix.

      • nexthop
        StringRequired

        The next hop.

      • createDate
        TimestampRequired

        The creation date.

      • lastOpDate
        TimestampRequired

        The last operation date.